
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef zone_TCLSERV_CLIENT_MSG_LIB_H
#define zone_TCLSERV_CLIENT_MSG_LIB_H

#include <server/zoneType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int zoneTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int zoneTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int zoneTclservClientStartRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_INIT *(in_initParams) 
		);

int zoneTclservClientStartReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientStartRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_INIT *(in_initParams) ,
				
				int *bilan);

int zoneTclservClientStartRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_INIT *(in_initParams) ,
					
					int *bilan);




int zoneTclservClientGetStartParamsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int zoneTclservClientGetStartParamsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       ZONE_INIT *(out_initParams),
			       int *bilan);

int zoneTclservClientGetStartParamsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 ZONE_INIT *(out_initParams),
				 int *bilan);




int zoneTclservClientReadZoneFileRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_FILE *(in_zoneFile) 
		);

int zoneTclservClientReadZoneFileReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientReadZoneFileRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_FILE *(in_zoneFile) ,
				
				int *bilan);

int zoneTclservClientReadZoneFileRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_FILE *(in_zoneFile) ,
					
					int *bilan);




int zoneTclservClientSaveZoneFileRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_TYPE *(in_zoneType) 
		);

int zoneTclservClientSaveZoneFileReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientSaveZoneFileRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_TYPE *(in_zoneType) ,
				
				int *bilan);

int zoneTclservClientSaveZoneFileRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_TYPE *(in_zoneType) ,
					
					int *bilan);




int zoneTclservClientBuildNavMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_SEGLOC_MAP *(in_whereSeglocMap) 
		);

int zoneTclservClientBuildNavMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientBuildNavMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_SEGLOC_MAP *(in_whereSeglocMap) ,
				
				int *bilan);

int zoneTclservClientBuildNavMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_SEGLOC_MAP *(in_whereSeglocMap) ,
					
					int *bilan);




int zoneTclservClientSaveNavMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_fileName) 
		);

int zoneTclservClientSaveNavMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientSaveNavMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_fileName) ,
				
				int *bilan);

int zoneTclservClientSaveNavMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_fileName) ,
					
					int *bilan);




int zoneTclservClientGetSeglocMapRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int zoneTclservClientGetSeglocMapReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       ZONE_SEGLOC_MAP *(out_whereSeglocMap),
			       int *bilan);

int zoneTclservClientGetSeglocMapRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 ZONE_SEGLOC_MAP *(out_whereSeglocMap),
				 int *bilan);




int zoneTclservClientGetZoneByIdRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 int *(in_zoneId) 
		);

int zoneTclservClientGetZoneByIdReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_PARAMS *(out_zoneParams),
			      int *bilan);


int zoneTclservClientGetZoneByIdRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				int *(in_zoneId) ,
				ZONE_PARAMS *(out_zoneParams),
				int *bilan);

int zoneTclservClientGetZoneByIdRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					int *(in_zoneId) ,
					ZONE_PARAMS *(out_zoneParams),
					int *bilan);




int zoneTclservClientGetZoneByNameRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING128 *(in_zoneName) 
		);

int zoneTclservClientGetZoneByNameReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_PARAMS *(out_zoneParams),
			      int *bilan);


int zoneTclservClientGetZoneByNameRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING128 *(in_zoneName) ,
				ZONE_PARAMS *(out_zoneParams),
				int *bilan);

int zoneTclservClientGetZoneByNameRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING128 *(in_zoneName) ,
					ZONE_PARAMS *(out_zoneParams),
					int *bilan);




int zoneTclservClientMobileToMonitorRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_DESC *(in_mobileParams) 
		);

int zoneTclservClientMobileToMonitorReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_MOBILE_ID *(out_mobileId),
			      int *bilan);


int zoneTclservClientMobileToMonitorRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_DESC *(in_mobileParams) ,
				ZONE_MOBILE_ID *(out_mobileId),
				int *bilan);

int zoneTclservClientMobileToMonitorRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_DESC *(in_mobileParams) ,
					ZONE_MOBILE_ID *(out_mobileId),
					int *bilan);




int zoneTclservClientRemoveMobileRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_ID *(in_mobileId) 
		);

int zoneTclservClientRemoveMobileReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientRemoveMobileRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_ID *(in_mobileId) ,
				
				int *bilan);

int zoneTclservClientRemoveMobileRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_ID *(in_mobileId) ,
					
					int *bilan);




int zoneTclservClientMonitorEnterRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_ID *(in_mobileId) 
		);

int zoneTclservClientMonitorEnterReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientMonitorEnterRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_ID *(in_mobileId) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientMonitorEnterRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_ID *(in_mobileId) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientMonitorLeaveRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_ID *(in_mobileId) 
		);

int zoneTclservClientMonitorLeaveReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientMonitorLeaveRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_ID *(in_mobileId) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientMonitorLeaveRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_ID *(in_mobileId) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientMonitorEnterZoneIdRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) 
		);

int zoneTclservClientMonitorEnterZoneIdReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientMonitorEnterZoneIdRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientMonitorEnterZoneIdRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientMonitorLeaveZoneIdRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) 
		);

int zoneTclservClientMonitorLeaveZoneIdReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientMonitorLeaveZoneIdRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientMonitorLeaveZoneIdRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int zoneTclservClientStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int zoneTclservClientStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int zoneTclservClientGetTargetDirectionRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) 
		);

int zoneTclservClientGetTargetDirectionReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_ROBOT_TO_TARGET *(out_targetPos),
			      int *bilan);


int zoneTclservClientGetTargetDirectionRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) ,
				ZONE_ROBOT_TO_TARGET *(out_targetPos),
				int *bilan);

int zoneTclservClientGetTargetDirectionRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_AND_ZONE_ID *(in_mobileAndZoneId) ,
					ZONE_ROBOT_TO_TARGET *(out_targetPos),
					int *bilan);




int zoneTclservClientSimulPosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_CONFIG *(in_simulPos) 
		);

int zoneTclservClientSimulPosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientSimulPosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_CONFIG *(in_simulPos) ,
				
				int *bilan);

int zoneTclservClientSimulPosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_CONFIG *(in_simulPos) ,
					
					int *bilan);




int zoneTclservClientGetZoneFileRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int zoneTclservClientGetZoneFileReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GEN_STRING128 *(out_fileName),
			       int *bilan);

int zoneTclservClientGetZoneFileRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GEN_STRING128 *(out_fileName),
				 int *bilan);




int zoneTclservClientExportObstsInNavZoneRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_OBSTS_FIELD *(in_obstsField) 
		);

int zoneTclservClientExportObstsInNavZoneReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int zoneTclservClientExportObstsInNavZoneRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_OBSTS_FIELD *(in_obstsField) ,
				
				int *bilan);

int zoneTclservClientExportObstsInNavZoneRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_OBSTS_FIELD *(in_obstsField) ,
					
					int *bilan);




int zoneTclservClientStopExportObstRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int zoneTclservClientStopExportObstReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int zoneTclservClientStopExportObstRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int zoneTclservClientMonitorObstsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int zoneTclservClientMonitorObstsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_OBST_STATE *(out_obstState),
			      int *bilan);


int zoneTclservClientMonitorObstsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				ZONE_OBST_STATE *(out_obstState),
				int *bilan);

int zoneTclservClientMonitorObstsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					ZONE_OBST_STATE *(out_obstState),
					int *bilan);




int zoneTclservClientStopMonitorObstsRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int zoneTclservClientStopMonitorObstsReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int zoneTclservClientStopMonitorObstsRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int zoneTclservClientGetOutRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_GET_OUT_FROM_OBST *(in_getOut) 
		);

int zoneTclservClientGetOutReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_POINT *(out_outPoint),
			      int *bilan);


int zoneTclservClientGetOutRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_GET_OUT_FROM_OBST *(in_getOut) ,
				ZONE_POINT *(out_outPoint),
				int *bilan);

int zoneTclservClientGetOutRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_GET_OUT_FROM_OBST *(in_getOut) ,
					ZONE_POINT *(out_outPoint),
					int *bilan);




int zoneTclservClientGetCurrentTargetZoneRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) 
		);

int zoneTclservClientGetCurrentTargetZoneReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientGetCurrentTargetZoneRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientGetCurrentTargetZoneRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientGetCurrentSpecialZoneRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) 
		);

int zoneTclservClientGetCurrentSpecialZoneReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientGetCurrentSpecialZoneRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientGetCurrentSpecialZoneRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientGetCurrentZonesRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) 
		);

int zoneTclservClientGetCurrentZonesReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_IDENTITY *(out_zoneIdentity),
			      int *bilan);


int zoneTclservClientGetCurrentZonesRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) ,
				ZONE_IDENTITY *(out_zoneIdentity),
				int *bilan);

int zoneTclservClientGetCurrentZonesRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_MOBILE_AND_ZONE_TYPE *(in_mobileAndZoneType) ,
					ZONE_IDENTITY *(out_zoneIdentity),
					int *bilan);




int zoneTclservClientIsInZoneRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 ZONE_TEST_INPUT *(in_zoneIdentityInput) 
		);

int zoneTclservClientIsInZoneReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      ZONE_TEST_OUTPUT *(out_res),
			      int *bilan);


int zoneTclservClientIsInZoneRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				ZONE_TEST_INPUT *(in_zoneIdentityInput) ,
				ZONE_TEST_OUTPUT *(out_res),
				int *bilan);

int zoneTclservClientIsInZoneRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					ZONE_TEST_INPUT *(in_zoneIdentityInput) ,
					ZONE_TEST_OUTPUT *(out_res),
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* zoneTCLSERV_CLIENT_MSG_LIB_H */

