
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

/* 
 * zoneType.h:     La SDI_F de zone
 *
 * Utilise par le module et par les clients
 * (inclut dans zoneMsgLib.h et zonePosterLib.h)
 * 
 */

#ifndef zone_TYPE_H
#define zone_TYPE_H

#include "genom/modules.h"
#include "zoneError.h"

/* Nombre de tache d'execution de ce module */
#define ZONE_NB_EXEC_TASK                   (1)


#endif
#ifndef zone_TYPE1_H
#define zone_TYPE1_H

#include "/opt/openrobots/include/genBasic/genBasicStruct.h"
#include "/opt/openrobots/include/pom/pomStruct.h"
#include "/opt/openrobots/include/segloc/seglocStruct.h"
#include "/opt/openrobots/include/sick/sickStruct.h"
#include "/opt/openrobots/include/sick/server/sickPosterLibStruct.h"
#include "zoneStruct.h"

/*
 * Structure de donnees interne
 */
typedef struct ZONE_STR {
	int zoneId;
	GEN_STRING128 zoneName;
	GEN_STRING128 fileName;
	ZONE_TYPE zoneType;
	ZONE_FILE zoneFile;
	ZONE_PARAMS zoneParams;
	ZONE_SEGLOC_MAP whereSeglocMap;
	ZONE_IDENTITY zoneIdentity;
	ZONE_TEST_INPUT zoneIdentityInput;
	ZONE_CONFIG simulPos;
	ZONE_INIT initParams;
	ZONE_ROBOT_TO_TARGET targetPos;
	ZONE_OBSTS_FIELD obstsField;
	ZONE_GET_OUT_FROM_OBST getOut;
	ZONE_POINT outPoint;
	ZONE_OBST_STATE obstState;
	ZONE_TEST_OUTPUT res;
	ZONE_MOBILE_DESC mobileParams;
	ZONE_MOBILE_AND_ZONE_ID mobileAndZoneId;
	ZONE_MOBILE_AND_ZONE_TYPE mobileAndZoneType;
	ZONE_MOBILE_ID mobileId;
	ZONE_MOBILE_ID MonitorEnterInput[20];
	ZONE_IDENTITY MonitorEnterOutput[20];
	ZONE_MOBILE_ID MonitorLeaveInput[20];
	ZONE_IDENTITY MonitorLeaveOutput[20];
	ZONE_MOBILE_AND_ZONE_ID MonitorEnterZoneIdInput[20];
	ZONE_IDENTITY MonitorEnterZoneIdOutput[20];
	ZONE_MOBILE_AND_ZONE_ID MonitorLeaveZoneIdInput[20];
	ZONE_IDENTITY MonitorLeaveZoneIdOutput[20];
	ZONE_OBST_STATE MonitorObstsOutput[20];
	ZONE_MOBILE_AND_ZONE_TYPE GetCurrentZonesInput[20];
	ZONE_IDENTITY GetCurrentZonesOutput[20];
} ZONE_STR;


#endif

